""" Zinc Library: An advanced visualisation library for FE models

The Zinc library is an advanced visualisation library for FE models.  The
Zinc library understands a representation of mathematical fields, including
finite element, image-based and CAD.  It also understands fields derived by
mathematical operators.
"""

classifiers = """\
Development Status :: 5 - Production/Stable
Intended Audience :: Developers
Intended Audience :: Education
Intended Audience :: Science/Research
License :: OSI Approved :: Mozilla Public License 2.0 (MPL 2.0)
Programming Language :: Python
Operating System :: Microsoft :: Windows
Operating System :: Unix
Operating System :: MacOS :: MacOS X
Topic :: Scientific/Engineering :: Medical Science Apps.
Topic :: Scientific/Engineering :: Visualization
Topic :: Software Development :: Libraries :: Python Modules
"""

from setuptools import setup
from setuptools.dist import Distribution

doclines = __doc__.split("\n")


class BinaryDistribution(Distribution):
    def is_pure(self):
        return False

    def has_ext_modules(self):
        return True


setup(
    name='opencmiss.zinc',
    version='3.1.2.dev0b2763d',
    author='H. Sorby',
    author_email='h.sorby@auckland.ac.nz',
    packages=['opencmiss', 'opencmiss.zinc'],
    package_data={'opencmiss.zinc': ['zinc.3.1.2.dll','_context.pyd','_differentialoperator.pyd','_element.pyd','_field.pyd','_fieldmodule.pyd','_fieldcache.pyd','_fieldassignment.pyd','_fieldsmoothing.pyd','_font.pyd','_glyph.pyd','_graphics.pyd','_light.pyd','_logger.pyd','_material.pyd','_optimisation.pyd','_node.pyd','_scene.pyd','_scenecoordinatesystem.pyd','_scenefilter.pyd','_scenepicker.pyd','_sceneviewer.pyd','_sceneviewerinput.pyd','_selection.pyd','_shader.pyd','_spectrum.pyd','_region.pyd','_result.pyd','_status.pyd','_stream.pyd','_streamimage.pyd','_streamregion.pyd','_streamscene.pyd','_tessellation.pyd','_timekeeper.pyd','_timenotifier.pyd','_timesequence.pyd']},
    url='http://opencmiss.org',
    license='Mozilla Public License 2.0 (MPL 2.0)',
    description=doclines[0],
    classifiers = filter(None, classifiers.split("\n")),
    long_description=open('README.txt').read(),
    distclass=BinaryDistribution,
    include_package_data=True,
    zip_safe=False,
)
